## amitk_common amitk_common |

## Synopsis

    #define             AMITK_RESPONSE_EXECUTE
    #define             AMITK_RESPONSE_COPY
    #define             AMITK_RESPONSE_SAVE_AS
    #define             AMITK_RESPONSE_SAVE_RAW_AS
    #define             AMITK_UPDATE_DIVIDER
    #define             AMITK_FILE_VERSION
    #define             AMITK_FLAT_FILE_MAGIC_STRING
    enum                AmitkLayout;
    enum                AmitkPanelLayout;
    enum                AmitkViewMode;
    enum                AmitkModality;
    enum                AmitkLimit;
    enum                AmitkWindow;
    enum                AmitkThresholdStyle;
    enum                AmitkHelpInfo;
    extern              PangoFontDescription * amitk_fixed_font_desc;
    extern              GConfClient * gconf_client;
    void                amitk_common_font_init              (void);
    void                amitk_append_str_with_newline       (gchar **pstr,
                                                             const gchar *format,
                                                             ...);
    void                amitk_append_str                    (gchar **pstr,
                                                             const gchar *format,
                                                             ...);
    void                amitk_real_cell_data_func           (GtkTreeViewColumn *tree_column,
                                                             GtkCellRenderer *cell,
                                                             GtkTreeModel *tree_model,
                                                             GtkTreeIter *iter,
                                                             gpointer data);
    gint                amitk_spin_button_scientific_output (GtkSpinButton *spin_button,
                                                             gpointer data);
    GdkPixbuf*          amitk_get_pixbuf_from_canvas        (GnomeCanvas *canvas,
                                                             gint xoffset,
                                                             gint yoffset,
                                                             gint width,
                                                             gint height);
    gboolean            amitk_gconf_has_value               (GConfClient *client,
                                                             const gchar *key);
    gint                amitk_gconf_get_int_with_default    (GConfClient *client,
                                                             const gchar *key,
                                                             const gint default_int);
    gdouble             amitk_gconf_get_float_with_default  (GConfClient *client,
                                                             const gchar *key,
                                                             const gdouble default_float);
    gboolean            amitk_gconf_get_bool_with_default   (GConfClient *client,
                                                             const gchar *key,
                                                             const gboolean default_bool);
    gchar*              amitk_gconf_get_string_with_default (GConfClient *client,
                                                             const gchar *key,
                                                             const gchar *default_str);
    gboolean            amitk_is_xif_directory              (const gchar *filename,
                                                             gboolean *plegacy,
                                                             gchar **pxml_filename);
    gboolean            amitk_is_xif_flat_file              (const gchar *filename,
                                                             guint64 *plocation_le,
                                                             guint64 *psize_le);
    const gchar*        amitk_layout_get_name               (const AmitkLayout layout);
    const gchar*        amitk_panel_layout_get_name         (const AmitkPanelLayout panel_layout);
    const gchar*        amitk_limit_get_name                (const AmitkLimit limit);
    const gchar*        amitk_window_get_name               (const AmitkWindow window);
    const gchar*        amitk_modality_get_name             (const AmitkModality modality);

## Description

## Details

### AMITK_RESPONSE_EXECUTE

    #define AMITK_RESPONSE_EXECUTE 1

### AMITK_RESPONSE_COPY

    #define AMITK_RESPONSE_COPY 2

### AMITK_RESPONSE_SAVE_AS

    #define AMITK_RESPONSE_SAVE_AS 3

### AMITK_RESPONSE_SAVE_RAW_AS

    #define AMITK_RESPONSE_SAVE_RAW_AS 4

### AMITK_UPDATE_DIVIDER

    #define AMITK_UPDATE_DIVIDER 40.0 /* must be float point */

### AMITK_FILE_VERSION

    #define AMITK_FILE_VERSION (xmlChar *) "2.0"

### AMITK_FLAT_FILE_MAGIC_STRING

    #define AMITK_FLAT_FILE_MAGIC_STRING "AMIDE XML Image Format Flat File"

### enum AmitkLayout

    typedef enum {
      AMITK_LAYOUT_LINEAR,
      AMITK_LAYOUT_ORTHOGONAL,
      AMITK_LAYOUT_NUM
    } AmitkLayout;

### enum AmitkPanelLayout

    typedef enum {
      AMITK_PANEL_LAYOUT_MIXED,
      AMITK_PANEL_LAYOUT_LINEAR_X,
      AMITK_PANEL_LAYOUT_LINEAR_Y,
      AMITK_PANEL_LAYOUT_NUM
    } AmitkPanelLayout;

### enum AmitkViewMode

    typedef enum {
      AMITK_VIEW_MODE_SINGLE,
      AMITK_VIEW_MODE_LINKED_2WAY,
      AMITK_VIEW_MODE_LINKED_3WAY,
      AMITK_VIEW_MODE_NUM
    } AmitkViewMode;

### enum AmitkModality

    typedef enum {
      AMITK_MODALITY_PET,
      AMITK_MODALITY_SPECT,
      AMITK_MODALITY_CT,
      AMITK_MODALITY_MRI,
      AMITK_MODALITY_OTHER,
      AMITK_MODALITY_NUM
    } AmitkModality;

### enum AmitkLimit

    typedef enum {
      AMITK_LIMIT_MIN,
      AMITK_LIMIT_MAX,
      AMITK_LIMIT_NUM
    } AmitkLimit;

### enum AmitkWindow

    typedef enum {
      AMITK_WINDOW_ABDOMEN,
      AMITK_WINDOW_BRAIN,
      AMITK_WINDOW_EXTREMITIES,
      AMITK_WINDOW_LIVER,
      AMITK_WINDOW_LUNG,
      AMITK_WINDOW_PELVIS_SOFT_TISSUE,
      AMITK_WINDOW_SKULL_BASE,
      AMITK_WINDOW_SPINE_A,
      AMITK_WINDOW_SPINE_B,
      AMITK_WINDOW_THORAX_SOFT_TISSUE,
      AMITK_WINDOW_NUM
    } AmitkWindow;

### enum AmitkThresholdStyle

    typedef enum {
      AMITK_THRESHOLD_STYLE_MIN_MAX,
      AMITK_THRESHOLD_STYLE_CENTER_WIDTH,
      AMITK_THRESHOLD_STYLE_NUM
    } AmitkThresholdStyle;

### enum AmitkHelpInfo

    typedef enum {
      AMITK_HELP_INFO_BLANK,
      AMITK_HELP_INFO_CANVAS_DATA_SET,
      AMITK_HELP_INFO_CANVAS_ROI,
      AMITK_HELP_INFO_CANVAS_FIDUCIAL_MARK,
      AMITK_HELP_INFO_CANVAS_STUDY,
      AMITK_HELP_INFO_CANVAS_ISOCONTOUR_ROI,
      AMITK_HELP_INFO_CANVAS_FREEHAND_ROI,
      AMITK_HELP_INFO_CANVAS_DRAWING_MODE,
      AMITK_HELP_INFO_CANVAS_LINE_PROFILE,
      AMITK_HELP_INFO_CANVAS_NEW_ROI,
      AMITK_HELP_INFO_CANVAS_NEW_ISOCONTOUR_ROI,
      AMITK_HELP_INFO_CANVAS_NEW_FREEHAND_ROI,
      AMITK_HELP_INFO_CANVAS_CHANGE_ISOCONTOUR,
      AMITK_HELP_INFO_CANVAS_SHIFT_OBJECT,
      AMITK_HELP_INFO_CANVAS_ROTATE_OBJECT,
      AMITK_HELP_INFO_TREE_VIEW_DATA_SET,
      AMITK_HELP_INFO_TREE_VIEW_ROI,
      AMITK_HELP_INFO_TREE_VIEW_FIDUCIAL_MARK,
      AMITK_HELP_INFO_TREE_VIEW_STUDY,
      AMITK_HELP_INFO_TREE_VIEW_NONE,
      AMITK_HELP_INFO_UPDATE_LOCATION,
      AMITK_HELP_INFO_UPDATE_THETA,
      AMITK_HELP_INFO_UPDATE_SHIFT,
      AMITK_HELP_INFO_NUM
    } AmitkHelpInfo;

### amitk_fixed_font_desc

    extern PangoFontDescription * amitk_fixed_font_desc;

### gconf_client

    extern GConfClient * gconf_client;

### amitk_common_font_init ()

    void                amitk_common_font_init              (void);

### amitk_append_str_with_newline ()

    void                amitk_append_str_with_newline       (gchar **pstr,
                                                             const gchar *format,
                                                             ...);

`pstr` : |
`format` : |
`...` : |

### amitk_append_str ()

    void                amitk_append_str                    (gchar **pstr,
                                                             const gchar *format,
                                                             ...);

`pstr` : |
`format` : |
`...` : |

### amitk_real_cell_data_func ()

    void                amitk_real_cell_data_func           (GtkTreeViewColumn *tree_column,
                                                             GtkCellRenderer *cell,
                                                             GtkTreeModel *tree_model,
                                                             GtkTreeIter *iter,
                                                             gpointer data);

`tree_column` : |
`cell` : |
`tree_model` : |
`iter` : |
`data` : |

### amitk_spin_button_scientific_output ()

    gint                amitk_spin_button_scientific_output (GtkSpinButton *spin_button,
                                                             gpointer data);

`spin_button` : |
`data` : |
Returns : |

### amitk_get_pixbuf_from_canvas ()

    GdkPixbuf*          amitk_get_pixbuf_from_canvas        (GnomeCanvas *canvas,
                                                             gint xoffset,
                                                             gint yoffset,
                                                             gint width,
                                                             gint height);

`canvas` : |
`xoffset` : |
`yoffset` : |
`width` : |
`height` : |
Returns : |

### amitk_gconf_has_value ()

    gboolean            amitk_gconf_has_value               (GConfClient *client,
                                                             const gchar *key);

`client` : |
`key` : |
Returns : |

### amitk_gconf_get_int_with_default ()

    gint                amitk_gconf_get_int_with_default    (GConfClient *client,
                                                             const gchar *key,
                                                             const gint default_int);

`client` : |
`key` : |
`default_int` : |
Returns : |

### amitk_gconf_get_float_with_default ()

    gdouble             amitk_gconf_get_float_with_default  (GConfClient *client,
                                                             const gchar *key,
                                                             const gdouble default_float);

`client` : |
`key` : |
`default_float` : |
Returns : |

### amitk_gconf_get_bool_with_default ()

    gboolean            amitk_gconf_get_bool_with_default   (GConfClient *client,
                                                             const gchar *key,
                                                             const gboolean default_bool);

`client` : |
`key` : |
`default_bool` : |
Returns : |

### amitk_gconf_get_string_with_default ()

    gchar*              amitk_gconf_get_string_with_default (GConfClient *client,
                                                             const gchar *key,
                                                             const gchar *default_str);

`client` : |
`key` : |
`default_str` : |
Returns : |

### amitk_is_xif_directory ()

    gboolean            amitk_is_xif_directory              (const gchar *filename,
                                                             gboolean *plegacy,
                                                             gchar **pxml_filename);

`filename` : |
`plegacy` : |
`pxml_filename` : |
Returns : |

### amitk_is_xif_flat_file ()

    gboolean            amitk_is_xif_flat_file              (const gchar *filename,
                                                             guint64 *plocation_le,
                                                             guint64 *psize_le);

`filename` : |
`plocation_le` : |
`psize_le` : |
Returns : |

### amitk_layout_get_name ()

    const gchar*        amitk_layout_get_name               (const AmitkLayout layout);

`layout` : |
Returns : |

### amitk_panel_layout_get_name ()

    const gchar*        amitk_panel_layout_get_name         (const AmitkPanelLayout panel_layout);

`panel_layout` : |
Returns : |

### amitk_limit_get_name ()

    const gchar*        amitk_limit_get_name                (const AmitkLimit limit);

`limit` : |
Returns : |

### amitk_window_get_name ()

    const gchar*        amitk_window_get_name               (const AmitkWindow window);

`window` : |
Returns : |

### amitk_modality_get_name ()

    const gchar*        amitk_modality_get_name             (const AmitkModality modality);

`modality` : |
Returns : |